Summary:        A super-small, super-fast Java compiler
Name:           janino
Version:        3.1.7
Release:        3%{?dist}
License:        BSD
URL:            http://janino-compiler.github.io/janino
Source0:        https://github.com/janino-compiler/janino/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
Requires:       javapackages-tools
Requires:       commons-compiler = %{version}-%{release}

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Janino is a super-small, super-fast Java compiler.
Janino can not only compile a set of source files
to a set of class files like JAVAC, but also compile
a Java expression, a block, a class body, one .java
file or a set of .java files in memory, load the
bytecode and execute it directly in the running JVM.


%package -n commons-compiler
Summary:        Commons Compiler

%description -n commons-compiler
The "commons-compiler" API, including the "IExpressionEvaluator",
"IScriptEvaluator", "IClassBodyEvaluator" and "ISimpleCompiler" interfaces.

%package -n commons-compiler-jdk
Summary:        Commons Compiler JDK

%description -n commons-compiler-jdk
The "JDK" implementation of the "commons-compiler" API that uses the
JDK's Java compiler (JAVAC) in "tools.jar".

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
API documentation for %{name}.


%prep
%autosetup
find -type f '(' -iname '*.jar' -o -iname '*.class' ')' -print -delete

cd %{name}-parent
  %pom_xpath_remove pom:maven.compiler.source
  %pom_xpath_remove pom:maven.compiler.target
  %pom_xpath_remove pom:maven.compiler.executable
  %pom_xpath_remove pom:maven.compiler.fork
  %pom_remove_plugin :nexus-staging-maven-plugin
  %pom_remove_plugin :maven-jarsigner-plugin
  %pom_remove_plugin :maven-javadoc-plugin
  %pom_remove_plugin :maven-source-plugin
  %pom_disable_module ../commons-compiler-tests
  %mvn_package :%{name}-parent __noinstall
cd -


%build
cd %{name}-parent
  %mvn_build -s -- -Dmaven.compiler.source=8 -Dmaven.compiler.target=8
cd -


%install
cd %{name}-parent
  %mvn_install
  %jpackage_script org.codehaus.commons.compiler.samples.CompilerDemo "" "" %{name}/janino:%{name}/commons-compiler janinoc true
cd -


%files -f %{name}-parent/.mfiles-%{name}
%license LICENSE
%{_bindir}/janinoc

%files -n commons-compiler -f %{name}-parent/.mfiles-commons-compiler
%license LICENSE

%files -n commons-compiler-jdk -f %{name}-parent/.mfiles-commons-compiler-jdk
%license LICENSE

%files javadoc -f %{name}-parent/.mfiles-javadoc
%license LICENSE

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.7-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.7-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Miaojun Dong <zoedong@tencent.com> - 3.1.7-1
- initial build
